<template>
  <div class="main-slide-fade-container justify-content-center">
    <h1 class="mb">Замечательно!</h1>
    <p class="mb">Подождите еще немного</p>
    <loader />
  </div>
</template>
<script>
import { mapActions } from "vuex";
import { VK_REDIRECT_URI } from "../../../devAndProdVariables";

export default {
  name: "VkOauthCallback",

  async created() {
    let error = false;

    const code = this.$route.query.code;

    if (code) {
      const { success } = await this.vkOauthLogin({
        code: code,
        callback_url: VK_REDIRECT_URI,
      });

      if (success) {
        await this.$store.dispatch("popUpMessage", {
          message: "Все прошло успешно",
          type: "success",
        });
      } else {
        error = true;
      }
    } else {
      error = true;
    }

    if (error) {
      await this.$store.dispatch("popUpMessage", {
        message: "Произошла ошибка",
        type: "error",
      });
    }

    this.$router.push("/");
  },

  methods: {
    ...mapActions({
      vkOauthLogin: "vkOauthLogin",
    }),
  },
};
</script>
